<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
    <head>
        <title>Getting Started: Serving Web Content</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <style>
            table tr{
                padding:1em;
                font-size:50px;
            }
            table button{
                font-size:30px;
                margin:1em 0.5em;
            }
        </style>

    </head>
    <body>
        <table>
            <tr>
                <td>prototype</td>
                <form action="/prototype"><td><button>Increase</button></td></form>
                <td th:text="${prototype_var}"></td>
            </tr>
            <tr>
                <td>prototype2</td>
                <form action="/prototype2"><td><button>Increase</button></td></form>
                <td th:text="${prototype2_var}"></td>
            </tr>
                        <tr>
                <td>Singleton</td>
               <form action="/singleton"> <td><button>Increase</button></td></form>
                <td th:text="${singleton_var}"></td>
            </tr>
            <tr>
                <td>Singleton2</td>
               <form action="/singleton2"> <td><button>Increase</button></td></form>
                <td th:text="${singleton2_var}"></td>
            </tr>
            <tr>
                <td>Request</td>
                <form action="/request"><td><button>Increase</button></td></form>
                <td th:text="${request_var}"></td>
            </tr>
            <tr>
                <td>Session</td>
                <form action="/session"><td><button>Increase</button></td></form>
                <td th:text="${session_var}"></td>
            </tr>

        </table>
    </body>
</html>